Economy

Get Product Purchases

GET
/economy/purchases

Gets product purchases

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Query Parameters

buyerId*string

Must be a valid user ID.

n?integer

The number of objects to return.

Default60
Range1 <= value <= 100
offset?integer

A zero-based offset from the default object sorting from where search results start.

Range0 <= value
mostRecent?boolean
sort?string

The sort order of the results.

Default"purchaseDate"
Value in"purchaseDate"
order?string

Result ordering

Default"desc"
Value in"asc" | "desc"

Response Body

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/economy/purchases?buyerId=usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469"
[
  {
    "buyerDisplayName": "string",
    "buyerId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
    "firstParty": true,
    "isBuyer": true,
    "isGift": true,
    "isReceiver": true,
    "isSeller": true,
    "listingCurrentlyAvailable": true,
    "listingDisplayName": "string",
    "listingId": "prod_bfbc2315-247a-44d7-bfea-5237f8d56cb4",
    "listingImageId": "file_ce35d830-e20a-4df0-a6d4-5aaef4508044",
    "listingSubtitle": "string",
    "listingType": "duration",
    "products": [
      {}
    ],
    "purchaseActive": true,
    "purchaseContext": {
      "locationType": "undefined"
    },
    "purchaseCurrentStatus": "string",
    "purchaseDate": "2019-08-24T14:15:22Z",
    "purchaseDuration": 0,
    "purchaseDurationType": "string",
    "purchaseEndDate": "2019-08-24T14:15:22Z",
    "purchaseId": "pur_f0446b91-e0f7-403e-8932-609d5057898c",
    "purchaseLatest": true,
    "purchasePrice": 0,
    "purchaseQuantity": 0,
    "purchaseStartDate": "2019-08-24T14:15:22Z",
    "purchaseToken": {},
    "purchaseType": "string",
    "purchaseUnitPrice": 0,
    "receiverDisplayName": "string",
    "receiverId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
    "recurrable": true,
    "refundable": true,
    "sellerDisplayName": "string",
    "sellerId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
    "stackable": true,
    "willRecur": true
  }
]
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}